<?

if (isset($user))$ank['id']=$user['id'];
if (isset($_GET['id']))$ank['id']=intval($_GET['id']);


if ($ank['id']==0)
{
$ank=get_user($ank['id']);

}

$ank=get_user($ank['id']);
if(!$ank){header("Location: /index.php?".SID);exit;}
if (!isset($user) && !isset($_GET['id']))
{

?>
<table class='table_block2'>
<td style="width: 350px;height:500px;padding-left:6px; vertical-align:top; margin: 0 auto; color:#000009;">
			                <div id="leftside_m">
                    <div style="width: 350px;margin-top: 10px;">
<span style='padding:1px; font-size:20px'>Приветствую тебя на<br/> ВРояле.Ru</span><br/><br/>

<span class="leftside_text_small">Что бы стать Рояльцем тебе нужно пройти регистрацию на сайте!<br/><br/>
<span class="leftside_text_small">Пройдя регистрацию:<br/><br/>

-Ты, в первую очередь становишься Рояльцем - обитателем сайта ВРояле.Ru<br/> <br/>
-Можешь общаться в беседке, чате и личной почте с другими Рояльцами<br/><br/>
-Вести свой личный дневник, рассказывать о своих идеях, читать дневники других и т.д<br/><br/>
-Можешь найти себе друзей в Знакомствах <br/><br/>
-Играть в игры на сайте<br/><br/>
-Скачивать музыку, видео, игры, программы и много другое в Зоне Обмена<br/><br/>
-Обитать в Онлайн-Городе <br/><br/>
а так же много чего еще...</span></div>
                </div></td>
				
<td style="width: 250px; margin: 0 auto; padding-left:6px; vertical-align:top; font-size:15px;color:#000009;">
			                <div id="leftside_m">
                    <div style="width: 300px;margin-top: 10px;">
					<?

echo "<form method='post' action='/reg.php?$passgen'>\n";
echo "Выбери себе ник:<br /><input type='text' name='nick' maxlength='32' /><br />\n";
echo "Регистрируясь, ты соглашаешься с <a href='/rules.php'>правилами</a> сайта ВРояле.Ru <br />\n";
echo "<input type='submit' value='Дальше >> ' />\n";
echo "</form><br />\n";
					?>
</div>
                </div></td>




</table>



<?

include_once 'sys/inc/tfoot.php';
}

//--------------------------гости-----------------------//
if(isset($user) && $user['id']!=$ank['id'])
{
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `my_guests` WHERE `id_ank` = '$ank[id]' AND `id_user`='$user[id]' LIMIT 1"),0)==0)
{
mysql_query("INSERT INTO `my_guests` (`id_ank`, `id_user`, `time`) VALUES ('$ank[id]', '$user[id]', '$time')");
}
else
{
$guest=mysql_fetch_array(mysql_query("SELECT * FROM `my_guests` WHERE `id_ank` = '$ank[id]' AND `id_user`='$user[id]' LIMIT 1"));
mysql_query("UPDATE `my_guests` SET `count` = '".($guest['count']+1)."', `time`='$time' WHERE `id` = '$guest[id]' LIMIT 1");
}
}
//------------------------------------------------------//




//-------------------------стена------------------------//
if (isset($_GET['wall']) && $_GET['wall']==1){
mysql_query("UPDATE `user` SET `wall` = '1' WHERE `id` = '$user[id]'");
header("Location: /info.php?id=$ank[id]");
}
elseif (isset($_GET['wall']) && $_GET['wall']==0){
mysql_query("UPDATE `user` SET `wall` = '0' WHERE `id` = '$user[id]'");
header("Location: /info.php?id=$ank[id]");
}


if (isset($_POST['msg']) && isset($user))
{
$msg=$_POST['msg'];
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);
$mat=antimat($msg);
if ($mat)$err[]='В тексте сообщения обнаружен мат: '.$mat;
if (strlen2($msg)>1024){$err[]='Сообщение слишком длинное';}
elseif (strlen2($msg)<2){$err[]='Короткое сообщение';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `stena` WHERE `id_user` = '$user[id]' AND  `id_stena` = '$ank[id]' AND `msg` = '".my_esc($msg)."' LIMIT 1"),0)!=0)
{$err='Ваше сообщение повторяет предыдущее';}
elseif(!isset($err)){

//-------------------уведомления---------------------//
if ($respons==TRUE){
if ($ank_otv['id']==$ank['id'])
$msgenta="$user[nick], ответил вам на [url=/info.php?id=$ank[id]&wall=0]вашей стене[/url]";
else
if ($ank_otv['id']==$user['id'])
$msgenta="$user[nick], ответил вам на [url=/info.php?id=$ank[id]&wall=0]своей стене[/url]";
else
$msgenta="$user[nick], ответил вам на [url=/info.php?id=$ank[id]&wall=0]стене $ank[nick][/url]";
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank_otv[id]', '$msgenta', '$time')"); 
}

if (isset($user) && $ank['id']!=$user['id'] && $respons==false){
$msgenta="$user[nick], оставил комментарий на [url=/info.php?id=$ank[id]&wall=0]вашей стене[/url]";
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '$msgenta', '$time')"); 
}
//-------------------alex-borisi---------------------//
mysql_query("INSERT INTO `stena` (id_user, time, msg, id_stena) values('$user[id]', '$time', '".my_esc($msg)."', '$ank[id]')");
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']+1)."' WHERE `id` = '$user[id]' LIMIT 1");
msg('Сообщение успешно добавлено');
}
}

//-----------------------------------------------------//

if ((!isset($_SESSION['refer']) || $_SESSION['refer']==NULL)
&& isset($_SERVER['HTTP_REFERER']) && $_SERVER['HTTP_REFERER']!=NULL &&
!preg_match('#info\.php#',$_SERVER['HTTP_REFERER']))
$_SESSION['refer']=str_replace('&','&amp;',preg_replace('#^http://[^/]*/#','/', $_SERVER['HTTP_REFERER']));


if (isset($_POST['rating']) && isset($user)  && $user['id']!=$ank['id'] && $user['balls']>=50 && mysql_result(mysql_query("SELECT SUM(`rating`) FROM `user_voice2` WHERE `id_kont` = '$user[id]'"),0)>=0)
{
$new_r=min(max(@intval($_POST['rating']),-2),2);
mysql_query("DELETE FROM `user_voice2` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]' LIMIT 1");

if ($new_r)
mysql_query("INSERT INTO `user_voice2` (`rating`, `id_user`, `id_kont`) VALUES ('$new_r','$user[id]','$ank[id]')");
$ank['rating']=intval(mysql_result(mysql_query("SELECT SUM(`rating`) FROM `user_voice2` WHERE `id_kont` = '$ank[id]'"),0));
mysql_query("UPDATE `user` SET `rating` = '$ank[rating]' WHERE `id` = '$ank[id]' LIMIT 1");

if ($new_r>0)
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '$user[nick] оставил положительный отзыв в [url=/who_rating.php]Вашей анкете[/url]', '$time')");
if ($new_r<0)
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '$user[nick] оставил негативный отзыв в [url=/who_rating.php]Вашей анкете[/url]', '$time')");
if ($new_r==0)
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '$user[nick] оставил нейтральный отзыв в [url=/who_rating.php]Вашей анкете[/url]', '$time')");

msg('Ваше мнение о пользователе успешно изменено');
}


//-------------статус запись-----------//
if (isset($_POST['status']) && isset($user))
{
$msg=$_POST['status'];
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);
$mat=antimat($msg);
if ($mat)$err[]='В тексте статуса обнаружен мат: '.$mat;
if (strlen2($msg)>512){$err='Слишком длинный статус';}
elseif (strlen2($msg)<2){$err='Короткий статус';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `status` WHERE `id_user` = '$user[id]' AND `msg` = '".my_esc($msg)."' LIMIT 1"),0)!=0){$err='Ваш статус повторяет предыдущий';}
elseif(!isset($err)){
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `status` WHERE `id_user` = '$user[id]' LIMIT 1"),0)==0)
mysql_query("INSERT INTO `status` (`id_user`, `msg`) values('$user[id]', '".my_esc($msg)."')");
else
mysql_query("UPDATE `status` SET `msg` = '".my_esc($msg)."' WHERE `id_user` = '$user[id]'");
$status=mysql_fetch_assoc(mysql_query("SELECT * FROM `status` WHERE `id_user` = '$ank[id]' LIMIT 1"));
mysql_query("DELETE FROM `status_like` WHERE `id_status` = '$status[id]'");
msg('Статус успешно изменен');
} 
}
//-------------------------------------//
$status=mysql_fetch_assoc(mysql_query("SELECT * FROM `status` WHERE `id_user` = '$ank[id]' LIMIT 1"));

//-------------------статус like------------------------//
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `status_like` WHERE `id_user` = '$user[id]' AND `id_status`='$status[id]' LIMIT 1"),0)==0 && isset($_GET['like']) && $user['id']!=$ank['id'])
{
mysql_query("INSERT INTO `status_like` (`id_user`, `id_status`, `like`) VALUES ('$user[id]', '$status[id]', '".intval($_GET['like'])."')");
mysql_query("UPDATE `user` SET `balls` = '".($ank['balls']+5)."' WHERE `id` = '$ank[id]' LIMIT 1");
}
//------------------------------------------------------//




//----------------------в друзья---------------------//
$frend_new=mysql_result(mysql_query("SELECT COUNT(*) FROM `frends_new` WHERE (`user` = '$user[id]' AND `to` = '$ank[id]') OR (`user` = '$ank[id]' AND `to` = '$user[id]') LIMIT 1"),0);
$frend=mysql_result(mysql_query("SELECT COUNT(*) FROM `frends` WHERE (`user` = '$user[id]' AND `frend` = '$ank[id]') OR (`user` = '$ank[id]' AND `frend` = '$user[id]') LIMIT 1"),0);
$not_user=mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '$ank[id]' LIMIT 1"),0)==0;

if ($user['id']!=$ank['id']){
if (isset($_GET['fok'])){
echo '<center>';
echo "<div class='msg'>Ваше предложение отправлено другу.</div><div class='foot'><form action='/info.php?id=".$ank['id']."' method=\"post\">";
echo "<input class=\"submit\" type=\"submit\" value=\"Закрыть\" />\n";
echo "</form></div>";
echo '</center>';
}
}
if (isset($_GET['frends'])  && $frend_new==0 && $frend==0 ){
if ($user['id']!=$ank['id']){
echo '<center>';
echo "<div class='err'>Пользователь должен будет подтвердить, что вы друзья.</div><div class='foot'><form action='/user/frends/frend_add.php?id=".$ank['id']."' method=\"post\">";
echo "<input class=\"submit\" type=\"submit\" value=\"Пригласить\" />\n";
echo " <a href='/info.php?id=$ank[id]'>Отмена</a><br />\n";
echo "</form></div>";
echo '</center>';
}
}
//-------------------------------------------------------------//


//-------------статус форма------------//
if (isset($_GET['status'])){
if (isset($user) && $user['id']==$ank['id']){
echo '<div class="status">Статус [512 символов]<br />';
echo "<form action='/info.php?id=".$ank['id']."' method=\"post\">";
echo "<textarea type=\"text\" style='' name=\"status\" value=\"\"/>$status[msg]</textarea> \n";
echo "<input class=\"submit\" style='' type=\"submit\" value=\"Сохранить\" />\n";
echo "</form>";
echo "</div>";
echo '<div class="foot"><a href="info.php">Назад</a></div>';
include_once 'sys/inc/tfoot.php';
}
}
//-------------------------------------//



if ($ank['group_access']>1)echo "<div class='err'>$ank[group_name]</div>\n";
?>
<table class='table_center2' cellspacing="0" cellpadding="0">
<tr>

<td class='block13'>
<table class='table_left2' cellspacing="0" cellpadding="0">
<td class='block13'>
<?
echo "<div class='main2'>";
echo "$ank[nick]";
echo " ".medal($ank['id'])." ".online($ank['id'])."<br />";
echo "</div>";


echo "<div class='main'>";
avatar_ank_web($ank['id']);
echo "<br />";


echo "</div>";


echo "<span class=\"ank_n\">Статус:</span> <span class=\"ank_d\">";
if($ank['pol']==0)
{
if($ank['x_status']==0) echo "СвоЯ";
if($ank['x_status']==1) echo "Звезда";
if($ank['x_status']==2) echo "Королева";
if($ank['x_status']==3) echo "Богиня";
if($ank['x_status']==4) echo "Ведьмочка";
if($ank['x_status']==5) echo "Sexy Girl";
}else{
if($ank['x_status']==0) echo "Свой";
if($ank['x_status']==1) echo "Пацанчик";
if($ank['x_status']==2) echo "Sexy Boy";
if($ank['x_status']==3) echo "Качок";
if($ank['x_status']==4) echo "Супермен";
if($ank['x_status']==5) echo "Романтик";
}
if($ank['x_status']>0)echo "<img src=\"img/status/$ank[pol]/".intval($ank['x_status']).".png\">";

echo '</span><br />';





 echo "<a href='/present/presentlist.php?user=$ank[id]'>Все подарки</a><br /> ";
	
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `present_give` WHERE `id_give` = '".$ank['id']."'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)
{
echo "Нет подарков\n";
}
$q=mysql_query("SELECT * FROM `present_give` WHERE `id_give` = '".$ank['id']."' ORDER BY `id` DESC LIMIT 6");
while ($post = mysql_fetch_array($q))
{

if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '$post[id_user]'"),0) && mysql_result(mysql_query("SELECT COUNT(*) FROM `present_list` WHERE `id` = '$post[id_p]'"),0))
{
$qp=mysql_query("SELECT * FROM `present_list` WHERE `id` = '$post[id_p]' LIMIT 1");
$p = mysql_fetch_array($qp);
echo" <img src='$p[url]' width='30' height='30'/> ";


}
}

if (isset($user) && $user['id']!=$ank['id']){
echo "<div class='main2'>";
echo "<img src='/style/ls/mail.png' alt='*' /> <a href=\"/mail.php?id=$ank[id]\"><b>Написать сообщение </b></a>\n";
echo "</div>\n";



}


//-----------------анкета---------------------//
echo "<div class='main2'>";
echo "<img src='/style/ls/anketa_b.png' alt='*' /> <a href='/user/info/anketa.php?id=$ank[id]'>Анкета</a> ";
if (isset($user) && $user['id']==$ank['id']){
echo "[<img src='/style/icons/edit.gif' alt='*' /> <a href='/user/info/edit.php'>ред</a>]";
}
echo "</div>";
//-------------------------------------------//

//--------------------------гости-----------------------------//
if (isset($user) && $user['id']==$ank['id']){
echo "<div class='main'>";
$new_g=mysql_result(mysql_query("SELECT COUNT(*) FROM `my_guests` WHERE `id_ank` = '$user[id]' AND `read`='1'"),0);
echo "<img src='/style/ls/guests_b.png' alt='*' /> ";
if($new_g!=0)
{
$color = "<font color='red'>";
$color2 = "</font>";
}
else
{
$color = null;
$color2 = null;
}
echo "<a href='/user/myguest/index.php'>".$color."Гости".$color2."</a> \n";
if($new_g!=0)echo "<font color=\"red\">+$new_g</font>\n";
echo "</div>";
}
//-----------------------------------------------------------//



//-----------------------------друзья-------------------------------//
$k_f = mysql_result(mysql_query("SELECT COUNT(id) FROM `frends_new` WHERE `to` = '$ank[id]' LIMIT 1"), 0);
$k_fr = mysql_result(mysql_query("SELECT COUNT(*) FROM `frends` WHERE `user` = '$ank[id]' AND `i` = '1'"), 0);
$res = mysql_query("select `frend` from `frends` WHERE `user` = '$ank[id]' AND `i` = '1'");
echo "<div class='main2'>";
echo "<img src='/style/ls/druzya_b.png' alt='*' /> ";
echo '<a href="/user/frends/frend.php?id='.$ank['id'].'">Друзья</a> ('.$k_fr.'</b>/';$i =0;
while ($k_fr = mysql_fetch_array($res)){
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '$k_fr[frend]' && `date_last` > '".(time()-800)."'"),0) != 0) $i++;
}
echo "<span style='color:green'><a href='/user/frends/fredon.php?id=".$ank['id']."'>$i</a></span>)";
if ($k_f>0 && $ank['id']==$user['id'])echo " <a href='/user/frends/frend_new.php'><font color='red'>+$k_f</font></a>";
echo "</div>";
//------------------------------------------------------------------//






//--------------------------фотоальбомы-----------------------------//
echo "<div class='main'>";
echo "<img src='/style/ls/foto.gif' alt='*' /> ";
echo "<a href='/foto/$ank[id]/'>Фотографии</a> ";
echo "(" . mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery_foto` WHERE `id_user` = '$ank[id]'"),0) . ")";
echo "</div>";
//------------------------------------------------------------------//




//----------------------------заметки-------------------------------//
echo "<div class='main2'>";
echo '<img src="/style/ls/zametki_b.gif"/> <a href="/diary/user.php?id=',$ank['id'],'">Дневники</a> ('.mysql_num_rows(mysql_query("select * FROM `dnev` WHERE `id_user` = '$ank[id]';")).')<br />';
echo "</div>";
//------------------------------------------------------------------//


echo "<div class='main'>";
$file=mysql_result(mysql_query("SELECT COUNT(*) FROM `user_files` WHERE `id_user` = '$ank[id]'"),0);
echo "<img src='/style/ls/files_b.png' alt='*' /> ";
echo '<a href="/file/index.php?id='.$ank['id'].'">Файлы</a> ('.$file.')<br/>';
echo "</div>";




echo "<div class='main'>";
echo "<img src='/style/icons/anketa.gif' alt='*' /> ";
echo "<span class=\"ank_n\"><a href='/views/?id=$ank[id]/'>Мнения</a>:</span> <span class=\"ank_d\">";echo mysql_result(mysql_query("SELECT COUNT(*) FROM `views` WHERE `id_kont` = '$ank[id]'"),0);echo "</span><br />\n";
echo "</div>";





echo "<div class='main2'>";
echo "<img src='/style/icons/present.gif' alt='*' /> ";
echo "<a href='/present/present.php?user=$ank[id]'>Сделать подарок</a><br />";
echo "</div>";



//-------------------------------в друзья---------------------------//
if ($user['id']!=$ank['id']){
echo "<div class='main2'>";
if ($frend_new==0 && $frend==0){
echo "<img src='/style/ls/druzya_b.png' alt='*'/> <a href='/info.php?id=$ank[id]&amp;frends'>Предложить дружбу</a><br />\n";
}elseif ($frend_new==1){
echo "<img src='/style/ls/druzya_b.png' alt='*'/> <a href='/user/frends/frend_new.php?del=$ank[id]'>Отклонить заявку</a><br />\n";
}elseif ($frend==2){
echo "<img src='/style/ls/druzya_b.png' alt='*'/> <a href='/user/frends/frend_new.php?del=$ank[id]'>Прекратить дружбу</a><br />\n";
}
echo "</div>";
}
//-----------------------------------------------------------------//


echo "<div class='main2'>";
echo "<img src='/style/vtf.gif' alt='*' /> ";
echo "<a href='/transfer_balls.php?id=".$ank['id']."'>Перевести монеты</a><br />\n";
echo "</div>";


//-------------------------------настройки----------------------//

if ($ank['id']==$user['id']){
echo "<div class='main2'>";
echo "<img src='/style/ls/settings.gif' alt='*' /> <a href=\"/settings.php\">Мои настройки</a> | <a href=\"/umenu.php\">Меню</a>\n";
echo "</div>";
}



//---------------------------------------------------------//


//------------------------друзья онлайн--------------------//
$set['p_str']=20;
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `frends` INNER JOIN `user` ON `frends`.`frend`=`user`.`id` WHERE `frends`.`user` = '$user[id]' AND `frends`.`i` = '1' AND `user`.`date_last`>'".(time()-600)."'"), 0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];

$q = mysql_query("SELECT * FROM `frends` INNER JOIN `user` ON `frends`.`frend`=`user`.`id` WHERE `frends`.`user` = '$user[id]' AND `frends`.`i` = '1' AND `user`.`date_last`>'".(time()-600)."' ORDER BY `user`.`date_last` DESC LIMIT $start, $set[p_str]");
$num=0;
if ($k_post>0)
{
echo "<div class='foot'>Друзья онлайн ($k_post)</div>";
}
while ($post3 = mysql_fetch_assoc($q))
{
$ank3=get_user($post3['frend']);
//-----------зебра-----------//
if ($num==0)
{echo "  <div class='nav1'>\n";
$num=1;
}elseif ($num==1)
{echo "  <div class='nav2'>\n";
$num=0;}
//---------------------------//
echo "".avatar($ank3['id'])."";
echo'<a href="/info.php?id='.$ank3['id'].'">'.$ank3['nick'].'</a>'.medal($ank3['id']).' '.online($ank3['id']).' ('.(($ank3['pol']==1)?'М':'Ж').')';
echo "<div class='main'>";
echo '<a href="/mail.php?id='.$ank3['id'].'&amp;'.$passgen.'"><img src="/style/ls/mail.png" alt="*" /> Сообщение</a> ';
echo "</div>";
echo "</div>";
}


//--------------------the end----------------------------//
?>
</td>
</table>
</td>


<td class='table_center3'>
<table class='table_center2' cellspacing="0" cellpadding="0">
<?
echo "<div class='main_seriy'><div class='main'>";
echo "<span class=\"ank_n\">Последний раз был на сайте:</span> <span class=\"ank_d\">".vremja($ank['date_last'])."</span><br />\n";
echo "</div></div>\n";
echo "<div class='main'>";
if (isset($_GET['like']) && $user['id']!=$ank['id'] && mysql_result(mysql_query("SELECT COUNT(*) FROM `status_like` WHERE `id_status` = '$status[id]' AND `id_user` = '$user[id]' LIMIT 1"),0)==0){
mysql_query("INSERT INTO `status_like` (`id_user`, `id_status`) values('$user[id]', '$status[id]')");
}
if ($status['msg'])
{
echo "".output_text($status['msg'])."";
if ($ank['id']==$user['id'])echo " [<a href='?id=$ank[id]&status'><img src='/style/icons/edit.gif' alt='*'> ред</a>]";
}
else if ($ank['id']==$user['id'])
{
echo "Ваш статус [<a href='?id=$ank[id]&status'><img src='/style/icons/edit.gif' alt='*'> ред</a>]";
}
if (isset($user))
{
if (isset($status['msg']) && $user['id']!=$ank['id'] && mysql_result(mysql_query("SELECT COUNT(*) FROM `status_like` WHERE `id_user` = '$user[id]' AND `id_status`='$status[id]' LIMIT 1"),0)==0)
echo "<br />[<img src='/style/icons/like.gif' alt='*' /> <a href='/info.php?id=$ank[id]&amp;like=1'> Мне нравится</a>] [<img src='/style/icons/dlike.gif' alt='*' /> <a href='/info.php?id=$ank[id]&amp;like=0'></a>] ";
else if (isset($status['msg']))
echo "<br />[<img src='/style/icons/like.gif' alt='*' /> ".mysql_result(mysql_query("SELECT COUNT(*) FROM `status_like` WHERE `id_status`='$status[id]' AND `like` = '1'"),0)."] [<img src='/style/icons/dlike.gif' alt='*' /> ".mysql_result(mysql_query("SELECT COUNT(*) FROM `status_like` WHERE `id_status`='$status[id]' AND `like` = '0'"),0)."] ";
}
echo "</div>\n";

//-----------------------------анкета---------------------------//

if (isset($user) && $ank['id']==$user['id'])
{
$name = "<a href='/user/info/edit.php?act=ank_web&amp;set=name'>";
$date = "<a href='/user/info/edit.php?act=ank_web&amp;set=date'>";
$gorod = "<a href='/user/info/edit.php?act=ank_web&amp;set=gorod'>";

$orien = "<a href='/user/info/edit.php?act=ank_web&amp;set=orien'>";
$loves = "<a href='/user/info/edit.php?act=ank_web&amp;set=loves'>";
$opar = "<a href='/user/info/edit.php?act=ank_web&amp;set=opar'>";

$volos = "<a href='/user/info/edit.php?act=ank_web&amp;set=volos'>";
$ves = "<a href='/user/info/edit.php?act=ank_web&amp;set=ves'>";
$glaza = "<a href='/user/info/edit.php?act=ank_web&amp;set=glaza'>";
$rost = "<a href='/user/info/edit.php?act=ank_web&amp;set=rost'>";
$osebe = "<a href='/user/info/edit.php?act=ank_web&amp;set=osebe'>";
$pol = "<a href='/user/info/edit.php?act=ank_web&amp;set=pol'>";
$telo = "<a href='/user/info/edit.php?act=ank_web&amp;set=telo'>";

$avto = "<a href='/user/info/edit.php?act=ank_web&amp;set=avto'>";
$baby = "<a href='/user/info/edit.php?act=ank_web&amp;set=baby'>";
$proj = "<a href='/user/info/edit.php?act=ank_web&amp;set=proj'>";
$zan = "<a href='/user/info/edit.php?act=ank_web&amp;set=zan'>";
$smok = "<a href='/user/info/edit.php?act=ank_web&amp;set=smok'>";
$mat_pol = "<a href='/user/info/edit.php?act=ank_web&amp;set=mat_pol'>";

$mail = "<a href='/user/info/edit.php?act=ank_web&amp;set=mail'>";
$icq = "<a href='/user/info/edit.php?act=ank_web&amp;set=icq'>";
$skype = "<a href='/user/info/edit.php?act=ank_web&amp;set=skype'>";
$mobile = "<a href='/user/info/edit.php?act=ank_web&amp;set=mobile'>";

$a = "</a>";

}else{
$name = "<font style='padding:1px; color : #005ba8; padding:1px;'>";
$date =  "<font style='padding:1px; color : #005ba8; padding:1px;'>";
$gorod =  "<font style='padding:1px; color : #005ba8; padding:1px;'>";

$orien = "<font style='padding:1px; color : #005ba8; padding:1px;'>";
$loves = "<font style='padding:1px; color : #005ba8; padding:1px;'>";
$opar = "<font style='padding:1px; color : #005ba8; padding:1px;'>";

$avto = "<font style='padding:1px; color : #005ba8; padding:1px;'>";
$baby =  "<font style='padding:1px; color : #005ba8; padding:1px;'>";
$zan = "<font style='padding:1px; color : #005ba8; padding:1px;'>";
$smok = "<font style='padding:1px; color : #005ba8; padding:1px;'>";
$mat_pol =  "<font style='padding:1px; color : #005ba8; padding:1px;'>";
$proj =  "<font style='padding:1px; color : #005ba8; padding:1px;'>";

$telo =  "<font style='padding:1px; color : #005ba8; padding:1px;'>";
$volos = "<font style='padding:1px; color : #005ba8; padding:1px;'>";
$ves =  "<font style='padding:1px; color : #005ba8; padding:1px;'>";
$glaza =  "<font style='padding:1px; color : #005ba8; padding:1px;'>";
$rost =  "<font style='padding:1px; color : #005ba8; padding:1px;'>";
$osebe =   "<font style='padding:1px; color : #005ba8; padding:1px;'>";
$pol =   "<font style='padding:1px; color : #005ba8; padding:1px;'>";

$mail =   "<font style='padding:1px; color : #005ba8; padding:1px;'>";
$icq =   "<font style='padding:1px; color : #005ba8; padding:1px;'>";
$skype =   "<font style='padding:1px; color : #005ba8; padding:1px;'>";
$mobile =   "<font style='padding:1px; color : #005ba8; padding:1px;'>";
$a = "</font>";

}

//------------------основное-------------------//
echo "<div class='nav1'>";
if ($ank['ank_name']!=NULL)
echo "$name<span class=\"ank_n\">Имя:</span>$a <span class=\"ank_d\">$ank[ank_name]</span><br />\n";
else
echo "$name<span class=\"ank_n\">Имя:</span>$a<br />\n";

echo "$pol<span class=\"ank_n\">Пол:</span>$a <span class=\"ank_d\">".(($ank['pol']==1)?'Мужской':'Женский')."</span><br />\n";

if ($ank['ank_city']!=NULL)
echo "$gorod<span class=\"ank_n\">Город:</span>$a <span class=\"ank_d\">".output_text($ank['ank_city'])."</span><br />\n";
else
echo "$gorod<span class=\"ank_n\">Город:</span>$a<br />\n";

if ($ank['ank_d_r']!=NULL && $ank['ank_m_r']!=NULL && $ank['ank_g_r']!=NULL){
if ($ank['ank_m_r']==1)$ank['mes']='Января';
elseif ($ank['ank_m_r']==2)$ank['mes']='Февраля';
elseif ($ank['ank_m_r']==3)$ank['mes']='Марта';
elseif ($ank['ank_m_r']==4)$ank['mes']='Апреля';
elseif ($ank['ank_m_r']==5)$ank['mes']='Мая';
elseif ($ank['ank_m_r']==6)$ank['mes']='Июня';
elseif ($ank['ank_m_r']==7)$ank['mes']='Июля';
elseif ($ank['ank_m_r']==8)$ank['mes']='Августа';
elseif ($ank['ank_m_r']==9)$ank['mes']='Сентября';
elseif ($ank['ank_m_r']==10)$ank['mes']='Октября';
elseif ($ank['ank_m_r']==11)$ank['mes']='Ноября';
else $ank['mes']='Декабря';
echo "$date<span class=\"ank_n\">Дата рождения:</span>$a $ank[ank_d_r] $ank[mes] $ank[ank_g_r]г. <br />\n";
$ank['ank_age']=date("Y")-$ank['ank_g_r'];
if (date("n")<$ank['ank_m_r'])$ank['ank_age']=$ank['ank_age']-1;
elseif (date("n")==$ank['ank_m_r']&& date("j")<$ank['ank_d_r'])$ank['ank_age']=$ank['ank_age']-1;
echo "<span class=\"ank_n\">Возраст:</span> $ank[ank_age] \n";
}
elseif($ank['ank_d_r']!=NULL && $ank['ank_m_r']!=NULL)
{
if ($ank['ank_m_r']==1)$ank['mes']='Января';
elseif ($ank['ank_m_r']==2)$ank['mes']='Февраля';
elseif ($ank['ank_m_r']==3)$ank['mes']='Марта';
elseif ($ank['ank_m_r']==4)$ank['mes']='Апреля';
elseif ($ank['ank_m_r']==5)$ank['mes']='Мая';
elseif ($ank['ank_m_r']==6)$ank['mes']='Июня';
elseif ($ank['ank_m_r']==7)$ank['mes']='Июля';
elseif ($ank['ank_m_r']==8)$ank['mes']='Августа';
elseif ($ank['ank_m_r']==9)$ank['mes']='Сентября';
elseif ($ank['ank_m_r']==10)$ank['mes']='Октября';
elseif ($ank['ank_m_r']==11)$ank['mes']='Ноября';
else $ank['mes']='Декабря';
echo "$date<span class=\"ank_n\">День рождения:</span>$a $ank[ank_d_r] $ank[mes] \n";
}

if ($ank['ank_d_r']>=19 && $ank['ank_m_r']==1){echo "| Водолей<br />";}
elseif ($ank['ank_d_r']<=19 && $ank['ank_m_r']==2){echo "| Водолей<br />";}
elseif ($ank['ank_d_r']>=18 && $ank['ank_m_r']==2){echo "| Рыбы<br />";}
elseif ($ank['ank_d_r']<=21 && $ank['ank_m_r']==3){echo "| Рыбы<br />";}
elseif ($ank['ank_d_r']>=20 && $ank['ank_m_r']==3){echo "| Овен<br />";}
elseif ($ank['ank_d_r']<=21 && $ank['ank_m_r']==4){echo "| Овен<br />";}
elseif ($ank['ank_d_r']>=20 && $ank['ank_m_r']==4){echo "| Телец<br />";}
elseif ($ank['ank_d_r']<=21 && $ank['ank_m_r']==5){echo "| Телец<br />";}
elseif ($ank['ank_d_r']>=20 && $ank['ank_m_r']==5){echo "| Близнецы<br />";}
elseif ($ank['ank_d_r']<=22 && $ank['ank_m_r']==6){echo "| Близнецы<br />";}
elseif ($ank['ank_d_r']>=21 && $ank['ank_m_r']==6){echo "| Рак<br />";}
elseif ($ank['ank_d_r']<=22 && $ank['ank_m_r']==7){echo "| Рак<br />";}
elseif ($ank['ank_d_r']>=23 && $ank['ank_m_r']==7){echo "| Лев<br />";}
elseif ($ank['ank_d_r']<=22 && $ank['ank_m_r']==8){echo "| Лев<br />";}
elseif ($ank['ank_d_r']>=22 && $ank['ank_m_r']==8){echo "| Дева<br />";}
elseif ($ank['ank_d_r']<=23 && $ank['ank_m_r']==9){echo "| Дева<br />";}
elseif ($ank['ank_d_r']>=22 && $ank['ank_m_r']==9){echo "| Весы<br />";}
elseif ($ank['ank_d_r']<=23 && $ank['ank_m_r']==10){echo "| Весы<br />";}
elseif ($ank['ank_d_r']>=22 && $ank['ank_m_r']==10){echo "| Скорпион<br />";}
elseif ($ank['ank_d_r']<=22 && $ank['ank_m_r']==11){echo "| Скорпион<br />";}
elseif ($ank['ank_d_r']>=21 && $ank['ank_m_r']==11){echo "| Стрелец<br />";}
elseif ($ank['ank_d_r']<=22 && $ank['ank_m_r']==12){echo "| Стрелец<br />";}
elseif ($ank['ank_d_r']>=21 && $ank['ank_m_r']==12){echo "| Козерог<br />";}
elseif ($ank['ank_d_r']<=20 && $ank['ank_m_r']==1){echo "| Козерог<br />";}

echo "</div>\n";
//--------------------------------------------------//


//--------------внешность---------------//
echo "<div class='nav2'>";
if ($ank['ank_rost']!=NULL)
echo "$rost<span class=\"ank_n\">Рост:</span>$a <span class=\"ank_d\">$ank[ank_rost]</span><br />\n";
else
echo "$rost<span class=\"ank_n\">Рост:</span>$a<br />\n";


if ($ank['ank_ves']!=NULL)
echo "$ves<span class=\"ank_n\">Вес:</span>$a <span class=\"ank_d\">$ank[ank_ves]</span><br />\n";
else
echo "$ves<span class=\"ank_n\">Вес:</span>$a<br />\n";

if ($ank['ank_cvet_glas']!=NULL)
echo "$glaza<span class=\"ank_n\">Цвет глаз:</span>$a <span class=\"ank_d\">$ank[ank_cvet_glas]</span><br />\n";
else
echo "$glaza<span class=\"ank_n\">Цвет глаз:</span>$a<br />\n";


if ($ank['ank_volos']!=NULL)
echo "$volos<span class=\"ank_n\">Волосы:</span>$a <span class=\"ank_d\">$ank[ank_volos]</span><br />\n";
else
echo "$volos<span class=\"ank_n\">Волосы:</span>$a<br />\n";

echo "$telo<span class=\"ank_n\">Телосложение:</span>$a";
if ($ank['ank_telosl']==1)
echo " <span class=\"ank_d\">Нет ответа</span><br />\n";
if ($ank['ank_telosl']==2)
echo " <span class=\"ank_d\">Худощавое</span><br />\n";
if ($ank['ank_telosl']==3)
echo " <span class=\"ank_d\">Обычное</span><br />\n";
if ($ank['ank_telosl']==4)
echo " <span class=\"ank_d\">Спортивное</span><br />\n";
if ($ank['ank_telosl']==5)
echo " <span class=\"ank_d\">Мускулистое</span><br />\n";
if ($ank['ank_telosl']==6)
echo " <span class=\"ank_d\">Плотное</span><br />\n";
if ($ank['ank_telosl']==7)
echo " <span class=\"ank_d\">Полное</span><br />\n";
if ($ank['ank_telosl']==0)
echo "<br />\n";
echo "</div>\n";
//-----------------------------------------------------//



//--------------Знакомства---------------//
echo "<div class='nav1'>";

echo "$orien<span class=\"ank_n\">Ориентация:</span>$a";
if ($ank['ank_orien']==0)
echo "<br />\n";
if ($ank['ank_orien']==1)
echo " <span class=\"ank_d\">Гетеро</span><br />\n";
if ($ank['ank_orien']==2)
echo " <span class=\"ank_d\">Би</span><br />\n";
if ($ank['ank_orien']==3)
echo " <span class=\"ank_d\">Гей/Лесби</span><br />\n";

echo "$loves<span class=\"ank_n\">Цели знакомства:</span>$a<br />";

if ($ank['ank_lov_1']==1)echo "&raquo; Дружба и общение<br />";
if ($ank['ank_lov_2']==1)echo "&raquo; Переписка<br />";
if ($ank['ank_lov_3']==1)echo "&raquo; Любовь, отношения<br />";
if ($ank['ank_lov_4']==1)echo "&raquo; Регулярный секс вдвоем<br />";
if ($ank['ank_lov_5']==1)echo "&raquo; Секс на один-два раза<br />";
if ($ank['ank_lov_6']==1)echo "&raquo; Групповой секс<br />";
if ($ank['ank_lov_7']==1)echo "&raquo; Виртуальный секс<br />";
if ($ank['ank_lov_8']==1)echo "&raquo; Предлагаю интим за деньги<br />";
if ($ank['ank_lov_9']==1)echo "&raquo; Ищу интим за деньги<br />";
if ($ank['ank_lov_10']==1)echo "&raquo; Брак, создание семьи<br />";
if ($ank['ank_lov_11']==1)echo "&raquo; Рождение, воспитание ребенка<br />";
if ($ank['ank_lov_12']==1)echo "&raquo; Брак для вида<br />";
if ($ank['ank_lov_13']==1)echo "&raquo; Совместная аренда жилья<br />";
if ($ank['ank_lov_14']==1)echo "&raquo; Занятия спортом<br />";


if ($ank['ank_o_par']!=NULL)
echo "$opar<span class=\"ank_n\">О партнере:</span>$a <span class=\"ank_d\">".output_text($ank['ank_o_par'])."</span><br />\n";
else
echo "$opar<span class=\"ank_n\">О партнере:</span>$a<br />\n";

if ($ank['ank_o_sebe']!=NULL)
echo "$osebe<span class=\"ank_n\">О себе:</span>$a <span class=\"ank_d\">".output_text($ank['ank_o_sebe'])."</span><br />\n";
else
echo "$osebe<span class=\"ank_n\">О себе:</span>$a<br />\n";
echo "</div>\n";
//-----------------------------------------------------//


//--------------о себе------------------//
echo "<div class='nav2'>";
if ($ank['ank_zan']!=NULL)
echo "$zan<span class=\"ank_n\">Чем занимаюсь:</span>$a <span class=\"ank_d\">".output_text($ank['ank_zan'])."</span><br />\n";
else
echo "$zan<span class=\"ank_n\">Чем занимаюсь:</span>$a<br />\n";

echo "$smok<span class=\"ank_n\">Курение:</span>$a";
if ($ank['ank_smok']==1)
echo " <span class=\"ank_d\">Не курю</span><br />\n";
if ($ank['ank_smok']==2)
echo " <span class=\"ank_d\">Курю</span><br />\n";
if ($ank['ank_smok']==3)
echo " <span class=\"ank_d\">Редко</span><br />\n";
if ($ank['ank_smok']==4)
echo " <span class=\"ank_d\">Бросаю</span><br />\n";
if ($ank['ank_smok']==5)
echo " <span class=\"ank_d\">Успешно бросил</span><br />\n";
if ($ank['ank_smok']==0)
echo "<br />\n";


echo "$mat_pol<span class=\"ank_n\">Материальное положение:</span>$a";
if ($ank['ank_mat_pol']==1)
echo " <span class=\"ank_d\">Непостоянные заработки</span><br />\n";
if ($ank['ank_mat_pol']==2)
echo " <span class=\"ank_d\">Постоянный небольшой доход</span><br />\n";
if ($ank['ank_mat_pol']==3)
echo " <span class=\"ank_d\">Стабильный средний доход</span><br />\n";
if ($ank['ank_mat_pol']==4)
echo " <span class=\"ank_d\">Хорошо зарабатываю / обеспечен</span><br />\n";
if ($ank['ank_mat_pol']==5)
echo " <span class=\"ank_d\">Не зарабатываю</span><br />\n";
if ($ank['ank_mat_pol']==0)
echo "<br />\n";

echo "$avto<span class=\"ank_n\">Наличие автомобиля:</span>$a";
if ($ank['ank_avto_n']==1)
echo " <span class=\"ank_d\">Есть</span><br />\n";
if ($ank['ank_avto_n']==2)
echo " <span class=\"ank_d\">Нет</span><br />\n";
if ($ank['ank_avto_n']==3)
echo " <span class=\"ank_d\">Хочу купить</span><br />\n";
if ($ank['ank_avto_n']==0)
echo "<br />\n";
if ($ank['ank_avto'] && $ank['ank_avto_n']!=2 && $ank['ank_avto_n']!=0)echo "&raquo; <span class=\"ank_d\">".output_text($ank['ank_avto'])."</span><br />";



echo "$proj<span class=\"ank_n\">Проживание:</span>$a";
if ($ank['ank_proj']==1)
echo " <span class=\"ank_d\">Отдельная квартира (снимаю или своя)</span><br />\n";
if ($ank['ank_proj']==2)
echo " <span class=\"ank_d\">Комната в общежитии, коммуналка</span><br />\n";
if ($ank['ank_proj']==3)
echo " <span class=\"ank_d\">Живу с родителями</span><br />\n";
if ($ank['ank_proj']==4)
echo " <span class=\"ank_d\">Живу с приятелем / с подругой</span><br />\n";
if ($ank['ank_proj']==5)
echo " <span class=\"ank_d\">Живу с партнером или супругом (-ой)</span><br />\n";
if ($ank['ank_proj']==6)
echo " <span class=\"ank_d\">Нет постоянного жилья</span><br />\n";
if ($ank['ank_proj']==0)
echo "<br />\n";


echo "$baby<span class=\"ank_n\">Есть ли дети:</span>$a";
if ($ank['ank_baby']==1)
echo " <span class=\"ank_d\">Нет</span><br />\n";
if ($ank['ank_baby']==2)
echo " <span class=\"ank_d\">Нет, но хотелось бы</span><br />\n";
if ($ank['ank_baby']==3)
echo " <span class=\"ank_d\">Есть, живем вместе</span><br />\n";
if ($ank['ank_baby']==4)
echo " <span class=\"ank_d\">Есть, живем порознь</span><br />\n";
if ($ank['ank_proj']==0)
echo "<br />\n";


echo "</div>\n";
//-------------------------------------------//

if (isset($user) && $ank['id']==$user['id'])
{
$alko = "<a href='/user/info/edit.php?act=ank_web&amp;set=alko'>";
$nark = "<a href='/user/info/edit.php?act=ank_web&amp;set=nark'>";

}else{

$alko = null;
$nark = null;
}

//---------------------дополнительно--------------------//

echo "<div class='nav1'>";

echo "$alko<span class=\"ank_n\">Алкоголь:</span>$a";
if ($ank['ank_alko_n']==1)
echo " <span class=\"ank_d\">Да, выпиваю</span><br />\n";
if ($ank['ank_alko_n']==2)
echo " <span class=\"ank_d\">Редко, по праздникам</span><br />\n";
if ($ank['ank_alko_n']==3)
echo " <span class=\"ank_d\">Нет, категорически не приемлю</span><br />\n";
if ($ank['ank_alko_n']==0)
echo "<br />\n";
if ($ank['ank_alko'] && $ank['ank_alko_n']!=3 && $ank['ank_alko_n']!=0)echo "&raquo; <span class=\"ank_d\">".output_text($ank['ank_alko'])."</span><br />";



echo "$nark<span class=\"ank_n\">Наркотики:</span>$a";
if ($ank['ank_nark']==1)
echo " <span class=\"ank_d\">Да, курю травку</span><br />\n";
if ($ank['ank_nark']==2)
echo " <span class=\"ank_d\">Да, люблю любой вид наркотических средств</span><br />\n";
if ($ank['ank_nark']==3)
echo " <span class=\"ank_d\">Бросаю, прохожу реабилитацию</span><br />\n";
if ($ank['ank_nark']==4)
echo " <span class=\"ank_d\">Нет, категорически не приемлю</span><br />\n";
if ($ank['ank_nark']==0)
echo "<br />\n";














echo "</div>\n";
//----------------------------------------------------------//

//-------------контакты----------------//
echo "<div class='nav2'>";
if ($ank['ank_icq']!=NULL && $ank['ank_icq']!=0)
echo "$icq<span class=\"ank_n\">ICQ:</span>$a <span class=\"ank_d\">$ank[ank_icq]</span><br />\n";
else
echo "$icq<span class=\"ank_n\">ICQ:</span>$a<br />\n";

if ($ank['ank_mail']!=NULL && ($ank['set_show_mail']==1 || isset($user) && ($user['level']>$ank['level'] || $user['level']==4))){
if ($ank['set_show_mail']==0)$hide_mail=' (скрыт)';else $hide_mail=NULL;
if (preg_match("#(@mail\.ru$)|(@bk\.ru$)|(@inbox\.ru$)|(@list\.ru$)#", $ank['ank_mail']))
echo "$mail<span class=\"ank_n\">E-mail:</span>$a <a href=\"mailto:$ank[ank_mail]\" title=\"Написать письмо\" class=\"ank_d\">$ank[ank_mail]</a>$hide_mail<br />\n";
else 
echo "$mail<span class=\"ank_n\">E-mail:</span>$a <a href=\"mailto:$ank[ank_mail]\" title=\"Написать письмо\" class=\"ank_d\">$ank[ank_mail]</a>$hide_mail<br />\n";
}
if ($ank['ank_n_tel']!=NULL)
echo "$mobile<span class=\"ank_n\">Телефон:</span>$a <span class=\"ank_d\">$ank[ank_n_tel]</span><br />\n";
else
echo "$mobile<span class=\"ank_n\">Телефон:</span>$a<br />\n";
echo "</div>\n";
//------------------------------------------//


//-----------------------------стена--------------------------------//
echo "<div class='foot'>";
if (isset($user))
{
echo "<img src='/style/icons/stena.gif' alt='*' /> ";
if ($user['wall']==0)
echo "<a href='/info.php?id=$ank[id]&amp;wall=1'>Стена</a>\n";
else
echo "<a href='/info.php?id=$ank[id]&amp;wall=0'>Стена</a>\n";
}else echo "<img src='/style/icons/stena.gif' alt='*' /> Стена";
echo "</div>";
if ($user['wall']==0){
include_once 'user/stena/index.php';
}
//------------------------------------------------------------------//

?>
</table>
</td>
</tr>
</table>